Skip to main content
GET
/
trading-view
/
pair-list
List trading pairs
curl --request GET \
  --url https://api.example.com/trading-view/pair-list
{
  "pairs": [
    {
      "base": "<string>",
      "quote": "<string>",
      "last_spot": {}
    }
  ]
}
Returns all trading pairs currently tracked in the market index along with their last known spot price.

Query parameters

None.

Response

pairs
PairInfo[]
Array of trading pairs.

Example request

curl "https://api.shadowbook.io/trading-view/pair-list"
Response — 200 OK:
{
  "pairs": [
    {
      "base": "ADA",
      "quote": "279c909f348e533da5808898f87f9a14bb2c3dfbbacccd631d927a3f:534e454b",
      "last_spot": "0.00001"
    },
    {
      "base": "ADA",
      "quote": "8db269c3ec630e06ae29f74bc39edd1f87c819f1056206e879a1cd61:dda5fdb1002f7389b33e036b6afee82a27189467772a31503f6185a66cb3d2",
      "last_spot": null
    }
  ]
}